Package owl.collections

## Class ValuationTrees

- java.lang.Object
- - owl.collections.ValuationTrees

-     public final class ValuationTrees
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static <E> ValuationTree<List<E>>` | `cartesianProduct​(List<ValuationTree<E>> trees)` |
    `static <K,​V> ValuationTree<Map<K,​V>>` | `cartesianProduct​(Map<K,​ValuationTree<V>> trees)` |
    `static <E> ValuationTree<Set<E>>` | `cartesianProduct​(Set<ValuationTree<E>> trees)` |
    `static <L,​R,​E> ValuationTree<E>` | `cartesianProduct​(ValuationTree<L> factor1, ValuationTree<R> factor2, BiFunction<L,​R,​@Nullable E> combinator)` |
    `static <E> ValuationTree<E>` | `union​(Collection<ValuationTree<E>> trees)` |
    `static <E> ValuationTree<E>` | `union​(ValuationTree<E> tree1, ValuationTree<E> tree2)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### cartesianProduct

          public static <E> ValuationTree<List<E>> cartesianProduct​(List<ValuationTree<E>> trees)

    - #### cartesianProduct

          public static <K,​V> ValuationTree<Map<K,​V>> cartesianProduct​(Map<K,​ValuationTree<V>> trees)

    - #### cartesianProduct

          public static <E> ValuationTree<Set<E>> cartesianProduct​(Set<ValuationTree<E>> trees)

    - #### cartesianProduct

          public static <L,​R,​E> ValuationTree<E> cartesianProduct​(ValuationTree<L> factor1,
                                                                              ValuationTree<R> factor2,
                                                                              BiFunction<L,​R,​@Nullable E> combinator)

    - #### union

          public static <E> ValuationTree<E> union​(Collection<ValuationTree<E>> trees)

    - #### union

          public static <E> ValuationTree<E> union​(ValuationTree<E> tree1,
                                                   ValuationTree<E> tree2)